// pages/validateForm/validateEnd/validateEnd.js
let app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    type:0,
    info:{
      type:1,
      TCID:'7003',
      Number:'51010219540703436X',
    },

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    if(options.type){
      let info=this.data.info;
      info.type = options.type;
      this.setData({
        type: options.type,
        info: info
      });
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },
  numberInput(e){
    let val = e.detail.value;
    let info = this.data.info;
    info.Number = val;
    this.setData({
      info: info,
    })
  },
  getInfo(){
    let info = this.data.info;
    app.$api('b2b_get_GetMXYTravelOrderInfo', info).then(res => {
      console.log("res", res);
      if (res.IsOK==1){
        let userInfo = res.Info
        wx.setStorageSync('userInfo', userInfo)
        wx.switchTab({ url: '/pages/index/index' })
      }
    }).catch(err => { })

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})